| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::DbEngineAccess Class Reference

The DbEngineAccess class provides access to the database: Create an instance of this class on the stack to retrieve a pointer to the database.

## Static Public Member Functions
static bool | checkReadyForUse (QString &error)
| Checks the availability of drivers.

## Member Function Documentation

## ◆ checkReadyForUse()

bool Digikam::DbEngineAccess::checkReadyForUse | ( | QString & | error | ) |
| static

Must be used in children class. Return true if low level drivers are ready to use, else false with an error string of the problem.